<?php
/*
 * @version $Id: client.form.php 120 2011-11-08 11:31:54Z remi $
 -------------------------------------------------------------------------
 dumpentity - DumpEntity plugin for GLPI
 Copyright (C) 2003-2011 by the dumpentity Development Team.

 https://forge.indepnet.net/projects/dumpentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of dumpentity.

 dumpentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 dumpentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with dumpentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

// Original Author of file: Remi Collet
// Purpose of file:
// ----------------------------------------------------------------------

if (!defined('GLPI_ROOT')) {
   define('GLPI_ROOT', '../../..');
}
include_once (GLPI_ROOT . "/inc/includes.php");

Session::checkRight("profile","r");

require_once "../inc/client.class.php";

$client = new PluginDumpentityClient();

if (!isset($_GET["id"])) {
   $_GET["id"] = "";
}

if (isset($_POST["add"]) && !empty($_POST["name"])) {
   $client->check(-1, 'w', $_POST);
   $client->add($_POST);
   Html::back();

} else if (isset($_POST["delete"])) {
   $client->check($_POST['id'], 'd');
   $client->delete($_POST);
   $client->redirectToList();

} else if (isset($_POST["update"])) {
   $client->check($_POST['id'], 'w');
   $client->update($_POST);
   Html::back();
}

Html::header($client->getTypeName(2), $_SERVER["PHP_SELF"], 'plugins', 'dumpentity', 'client');

$client->showForm($_GET["id"]);

Html::footer();
?>