<?php
/*
 * @version $Id: getzip.php 124 2012-07-04 12:29:03Z remi $
 -------------------------------------------------------------------------
 dumpentity - DumpEntity plugin for GLPI
 Copyright (C) 2003-2011 by the dumpentity Development Team.

 https://forge.indepnet.net/projects/dumpentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of dumpentity.

 dumpentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 dumpentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with dumpentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
*/

// Original Author of file: Remi Collet
// Purpose of file:
// ----------------------------------------------------------------------

//Options for GLPI 0.71 and newer : need slave db to access the report
$USEDBREPLICATE        = 1;
$DBCONNECTION_REQUIRED = 1; // Really a big SQL request

ini_set("max_execution_time", "0");


if (isset($_GET["encode"])) {
   $encode = $_GET["encode"];
} else {
   $encode = '';
}

if (!class_exists("ZipArchive")) {
   die("Not supported");
}

define('DO_NOT_CHECK_HTTP_REFERER', 1);
define('GLPI_ROOT', '../../..');
include (GLPI_ROOT."/inc/includes.php");

$model  = new PluginDumpentityModel();
if (isset($_SESSION['glpi_plugin_dumpentity_profile'])
    && $model->getFromDB($_SESSION['glpi_plugin_dumpentity_profile']['models_id'])) {
   $entity = $_SESSION['glpiactive_entity'];
   $todel  = array();

   $filename = PLUGIN_DUMPENTITY_UPLOAD_DIR."$entity-export.zip";
   $todel[]  = $filename;

   $zip = new ZipArchive();
   if (!$zip->open($filename, ZIPARCHIVE::CREATE)) {
      die("cannot create $filename\n");
   }

   $filelist = PLUGIN_DUMPENTITY_UPLOAD_DIR."$entity-tables.csv";
   $ficlist  = fopen($filelist, "wb");
   if ($ficlist) {
      fwrite($ficlist, "name;description;size\r\n");
   }

   foreach (PluginDumpentityModel::getTables() as $table => $descr) {
      if ($model->fields[$table]) {
         $file = PluginDumpentityModel::getCSV($table, $entity, 0, 0, $encode);
         if (($size=filesize($file)) > 0) {
            $zip->addFile($file, $table.".csv");
         }
         if ($ficlist) {
            fwrite($ficlist, "$table;\"$descr\";$size\r\n");
         }
         $todel[] = $file;
      }
   }

   if ($ficlist) {
      fclose($ficlist);
      $zip->addFile($filelist, "tables.csv");
      $todel[] = $filelist;
   }
   $zip->close();

   header("Content-type: application/zip");
   header("Content-Length: " . filesize($filename));
   header("Content-Disposition: inline; filename=export.zip");
   readfile($filename);

   // Clean work files
   foreach ($todel as $file) {
      unlink($file);
   }

} else {
   header("HTTP/1.0 404 Not Found");
   die("Not Found");
}
?>