<?php
/*
 * @version $Id: setup.php 124 2012-07-04 12:29:03Z remi $
 -------------------------------------------------------------------------
 dumpentity - DumpEntity plugin for GLPI
 Copyright (C) 2003-2011 by the dumpentity Development Team.

 https://forge.indepnet.net/projects/dumpentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of dumpentity.

 dumpentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 dumpentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with dumpentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
*/

// Original Author of file: Remi Collet & Nelly Lasson
// Purpose of file:
// ----------------------------------------------------------------------

function plugin_init_dumpentity() {
   global $PLUGIN_HOOKS,$DB,$LANG;

   $PLUGIN_HOOKS['csrf_compliant']['dumpentity'] = true;

   Plugin::registerClass('PluginDumpentityProfile',
                         array('addtabon' => 'Profile'));

   $PLUGIN_HOOKS['change_profile']['dumpentity'] = array('PluginDumpentityProfile', 'select');

   $PLUGIN_HOOKS['pre_item_purge']['dumpentity'] = array('Profile' => array('PluginDumpentityProfile',
                                                                            'cleanProfile'),
                                                         'Entity'  => array('PluginDumpentityClient',
                                                                            'cleanEntity'));

   if (isset($_SESSION["glpi_plugin_dumpentity_profile"])) {
      $PLUGIN_HOOKS['menu_entry']['dumpentity'] = true;
   }

   if (Session::haveRight("config","w") || Session::haveRight("profile","w")) {

      $PLUGIN_HOOKS['submenu_entry']['dumpentity']['options']['model'] = array(
         'title'  => $LANG['plugin_dumpentity']['config'][16],
         'page'   => '/plugins/dumpentity/front/model.php',
         'links'  => array('search' => '/plugins/dumpentity/front/model.php',
                           'add'    => '/plugins/dumpentity/front/model.form.php')
      );
      $PLUGIN_HOOKS['submenu_entry']['dumpentity']['options']['client'] = array(
         'title'  => $LANG['plugin_dumpentity']['config'][10],
         'page'   => '/plugins/dumpentity/front/client.php',
         'links'  => array('search' => '/plugins/dumpentity/front/client.php',
                           'add'    => '/plugins/dumpentity/front/client.form.php')
      );
   }
}


function plugin_version_dumpentity() {
   global $LANG;

   return array('name'           => $LANG['plugin_dumpentity']['setup'][1],
                'version'        => '1.3.1',
                'author'         => 'Remi Collet, Nelly Mahu-Lasson',
                'license'        => 'GPLv2+',
                'homepage'       => 'https://forge.indepnet.net/projects/dumpentity',
                'minGlpiVersion' => '0.83.3');
}


function plugin_dumpentity_check_prerequisites() {

   if (version_compare(GLPI_VERSION,'0.83.3','lt') || version_compare(GLPI_VERSION,'0.84','ge')) {
      echo "This plugin requires GLPI >= 0.83.3 and GLPI < 0.84";
      return false;
   }
   return true;
}


function plugin_dumpentity_check_config(){
   return true;
}
?>
